Bug 150510 - Port updates: depend on audio/musepack instead of audio/libmpcdec (when possible)
Port updates: depend on audio/musepack instead of audio/libmpcdec (when possi...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ganael LAPLANCHE
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-12 21:10 UTC by ganael.laplanche
Modified: 2010-10-05 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (16.59 KB, patch)
2010-09-12 21:10 UTC, ganael.laplanche
no flags Details | Diff
patch-musepack-2.txt (8.78 KB, patch)
2010-09-14 20:20 UTC, ganael.laplanche
no flags Details | Diff
patch-mencoder.txt (976 bytes, patch)
2010-10-04 09:06 UTC, ganael.laplanche
no flags Details | Diff
patch-mencoder.txt (976 bytes, patch)
2010-10-04 16:02 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-09-12 21:10:07 UTC
Following a discussion on freebsd-multimedia@, here is a patch to switch dependencies from audio/musepack to audio/libmpcdec when possible.

This patch includes the following changes :

1) Fix audio/musepack build on 6.X by removing an unsupported compiler optimization option (-fvisibility=hidden)

2) Make the following ports depend on audio/musepack instead of audio/libmpcdec (those ones support both old and new mpcdec libraries out-of-the-box) :

* audio/xmms2 (patched detection)
* multimedia/gstreamer-plugins
* multimedia/vlc
* multimedia/quodlibet
* sysutils/k3b-kde4
* audio/aqualung
* audio/cmus (patched detection)

Their PORTREVISION have been bumped.

3) Patch audio/libtunepimp to support latest musepack's libmpcdec API (patch from Debian, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476378#39). This patch will allow us to keep the MUSEPACK option for multimedia/transkode which was failing because of a dependency CONFLICT.

4) Unfortunately, the following ports do not have support for musepack (only for older libmpcdec), so they currently remain unmodified :

audio/bmp-musepack
audio/cynthiune
audio/py-musepack
multimedia/mplayer
multimedia/gmerlin-avdecoder
sysutils/k3b

We may choose in a near future to either :
- leave them as-is and keep libmpcdec in ports
- deprecate their MUSEPACK option and remove libmpcdec from ports
- patch them and remove libmpcdec from ports

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-12 21:10:10 UTC
Maintainer of audio/musepack,

Please note that PR ports/150510 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150510

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-12 21:10:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Max Brazhnikov freebsd_committer 2010-09-12 21:31:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 Koop Mast freebsd_committer 2010-09-13 07:34:19 UTC
Small note on the gstreamer patch.
Don't bump portrevision of multimedia/gstreamer-plugins. Instead bump
the portrevision in audio/gstreamer-plugins-musepack.

Thanks for picking up this task!

-Koop
Comment 5 ganael.laplanche 2010-09-13 07:38:44 UTC
On Mon, 13 Sep 2010 08:34:19 +0200, Koop Mast wrote

Hi Koop,

> Small note on the gstreamer patch.
> Don't bump portrevision of multimedia/gstreamer-plugins. Instead bump
> the portrevision in audio/gstreamer-plugins-musepack.

Ok, thanks for this advice. Should I update the patch ?

> Thanks for picking up this task!

You're welcome :)

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 6 Stefan Ehmann 2010-09-13 18:38:45 UTC
Thanks for picking up the task. I've abondoned working on it when I noticed 
that converting to the new API required more work than just changing a few 
lines of code.

The audio/musepack patch goes fine with me... I just no longer have a 6.x box.

The only problem I see with your patch is that musepack and libmpcdec are in 
conflict. I don't know of any easy way to resolve the conflict. Renaming the 
old library comes to mind... But I don't know if it's worth the hassle.

So, for instance, you cannot have both vlc and mplayer installed with musepack 
support. Fortunately, musepack support is off by default, so not all users 
will be hit by this.

At least an UPDATING entry must be prepared, because a normal upgrade will 
fail because of the conflict.
Comment 7 ganael.laplanche 2010-09-13 19:21:55 UTC
On Mon, 13 Sep 2010 19:38:45 +0200, Stefan Ehmann wrote

Hi Stefan,

Thank you very much for your answer.

> Thanks for picking up the task. I've abondoned working on it when I 
> noticed that converting to the new API required more work than just 
> changing a few lines of code.

Yes, that's a quite complicated task. Linux distros have (had) the same
migration problem :/

> The audio/musepack patch goes fine with me... I just no longer have a 
> 6.x box.

Ok, good.

> The only problem I see with your patch is that musepack and libmpcdec 
> are in conflict. I don't know of any easy way to resolve the conflict. 
> Renaming the old library comes to mind... But I don't know if it's 
> worth the hassle.
> 
> So, for instance, you cannot have both vlc and mplayer installed with 
> musepack support. Fortunately, musepack support is off by default, so 
> not all users will be hit by this.

I have also thought to try to make both libraries installable and patch
dependent ports, but as you tell, I am not sure it is worth it.

As read on freebsd-multimedia@, the best would be to remove the option where
possible and deprecate the remaining ports. I'll post a patch ASAP to handle
that. The following ports still depend on libmpcdec and will have to be checked :

* audio/bmp-musepack
* audio/cynthiune
* audio/py-musepack
* multimedia/mplayer
* multimedia/gmerlin-avdecoder
* sysutils/k3b

Finally, this also implies, of course, deprecating libmpcdec.

> At least an UPDATING entry must be prepared, because a normal upgrade 
> will fail because of the conflict.

Yes, I put that on my TODO list :)

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 8 ganael.laplanche 2010-09-14 20:20:17 UTC
Hi Max,

Here is the second (and last) part of the patch that handles the remaining ports
(as discussed on freebsd-multimedia@).

The following ports will loose musepack support :

* audio/cynthiune (musepack bundle was always enabled)
* multimedia/gmerlin-avdecoder (option was on by default)
* multimedia/mplayer (option was off by default)
* sysutils/k3b (option was off by default)

And the following ones have been set DEPRECATED with an EXPIRATION_DATE to
2010-11-15 :

* audio/bmp-musepack
* audio/py-musepack
* audio/libmpcdec

Also, I have checked that there is no dependence on audio/bmp-musepack or
audio/py-musepack.

I suggest the following entry in UPDATING :

----
20100914
  AFFECTS: users of audio/libmpcdec and dependent ports
  AUTHOR: ganael.laplanche@martymac.org

  audio/libmpcdec, no more maintained upstream, has been replaced
  by audio/musepack (which includes a newer version of libmpcdec)
  and is now deprecated.

  As a consequence, the following ports have switched from
  using audio/libmpcdec to audio/musepack and must be rebuilt :

  o audio/aqualung
  o audio/cmus
  o audio/gstreamer-plugins-musepack
  o audio/libtunepimp
  o audio/xmms2
  o multimedia/quodlibet
  o multimedia/vlc
  o sysutils/k3b-kde4

  The following ports will no longer have musepack support :

  o audio/cynthiune
  o multimedia/gmerlin-avdecoder
  o multimedia/mplayer
  o sysutils/k3b

  And those ones have been deprecated and will be removed soon :

  o audio/bmp-musepack
  o audio/py-musepack

  To update your system, do the following :

  # pkg_delete bmp-musepack-\* py-musepack-\*
  # portmaster -o audio/musepack audio/libmpcdec
  # portmaster -a
----

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 9 dfilter freebsd_committer 2010-09-17 20:24:54 UTC
makc        2010-09-17 19:24:49 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmpcdec      Makefile 
  Log:
  Deprecate: superseded by audio/musepack
  Set expiration date to 2010-11-15
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  
  Revision  Changes    Path
  1.15      +3 -0      ports/audio/libmpcdec/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-09-17 20:26:00 UTC
makc        2010-09-17 19:25:57 UTC

  FreeBSD ports repository

  Modified files:
    audio/bmp-musepack   Makefile 
    audio/py-musepack    Makefile 
  Log:
  Set expiration date to 2010-11-15: depends on deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  
  Revision  Changes    Path
  1.16      +3 -0      ports/audio/bmp-musepack/Makefile
  1.5       +3 -0      ports/audio/py-musepack/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-09-17 20:31:54 UTC
makc        2010-09-17 19:31:50 UTC

  FreeBSD ports repository

  Modified files:
    audio/musepack       Makefile 
  Log:
  Unbreak on 6.x
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    Stefan Ehmann (maintainer)
  
  Revision  Changes    Path
  1.14      +2 -1      ports/audio/musepack/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2010-09-21 17:48:09 UTC
makc        2010-09-21 16:48:04 UTC

  FreeBSD ports repository

  Modified files:
    audio/libtunepimp    Makefile 
    audio/aqualung       Makefile 
    audio/cmus           Makefile 
    multimedia/vlc       Makefile 
  Added files:
    audio/libtunepimp/files patch-configure 
                            patch-plugins-mpc-mpcdecode.cpp 
    audio/cmus/files     patch-configure 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.34      +2 -2      ports/audio/aqualung/Makefile
  1.36      +2 -2      ports/audio/cmus/Makefile
  1.1       +11 -0     ports/audio/cmus/files/patch-configure (new)
  1.30      +2 -2      ports/audio/libtunepimp/Makefile
  1.3       +56 -0     ports/audio/libtunepimp/files/patch-configure (new)
  1.1       +165 -0    ports/audio/libtunepimp/files/patch-plugins-mpc-mpcdecode.cpp (new)
  1.243     +4 -4      ports/multimedia/vlc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2010-09-21 17:49:50 UTC
makc        2010-09-21 16:49:16 UTC

  FreeBSD ports repository

  Modified files:
    audio/gstreamer-plugins-musepack Makefile 
    multimedia/gstreamer-plugins Makefile.common 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    multimedia (kwm)
  
  Revision  Changes    Path
  1.15      +1 -1      ports/audio/gstreamer-plugins-musepack/Makefile
  1.113     +2 -2      ports/multimedia/gstreamer-plugins/Makefile.common
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter freebsd_committer 2010-09-21 17:50:17 UTC
makc        2010-09-21 16:50:12 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/k3b-kde4    Makefile pkg-plist 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  
  Revision  Changes    Path
  1.71      +6 -6      ports/sysutils/k3b-kde4/Makefile
  1.21      +2 -2      ports/sysutils/k3b-kde4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter freebsd_committer 2010-09-21 17:51:24 UTC
makc        2010-09-21 16:51:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/xmms2          Makefile 
  Added files:
    audio/xmms2/files    patch-patch-src-plugins-musepack-wscript 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  
  Revision  Changes    Path
  1.57      +1 -1      ports/audio/xmms2/Makefile
  1.1       +11 -0     ports/audio/xmms2/files/patch-patch-src-plugins-musepack-wscript (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 utisoft 2010-09-26 12:40:06 UTC
On 16 September 2010 12:46, Max Brazhnikov <makc@freebsd.org> wrote:
>
> Hi,
>
> audio/libmpcdec is deprecated (and will be removed soon) in favour of
> audio/musepack. The following ports will be switched to musepack:
>
> audio/aqualung
> audio/cmus
> audio/gstreamer-plugins-musepack
> audio/libtunepimp
> audio/moc
> audio/musicpd
> audio/xmms2
> multimedia/quodlibet
> multimedia/vlc
> sysutils/k3b-kde4
>
> Please review/approve the patch enclosed.
>
> Greetings,
> Max
>


Checked for musicpd, works fine. Maintainer approves. Thanks Max!

Chris
Comment 17 dirk.meyer 2010-09-27 02:25:01 UTC
cynthiune approved.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 18 dfilter freebsd_committer 2010-10-01 22:46:07 UTC
makc        2010-10-01 21:46:01 UTC

  FreeBSD ports repository

  Modified files:
    audio/cynthiune      Makefile pkg-plist 
    multimedia/mplayer   Makefile Makefile.options 
  Log:
  Remove dependency on deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.21      +2 -3      ports/audio/cynthiune/Makefile
  1.6       +0 -5      ports/audio/cynthiune/pkg-plist
  1.198     +3 -3      ports/multimedia/mplayer/Makefile
  1.14      +0 -6      ports/multimedia/mplayer/Makefile.options
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 19 dfilter freebsd_committer 2010-10-01 22:47:13 UTC
makc        2010-10-01 21:47:10 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/k3b         Makefile pkg-plist 
  Log:
  Remove dependency on deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    maintainer timeout (> 2 weeks)
  
  Revision  Changes    Path
  1.65      +5 -11     ports/sysutils/k3b/Makefile
  1.16      +0 -4      ports/sysutils/k3b/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 dfilter freebsd_committer 2010-10-01 22:49:13 UTC
makc        2010-10-01 21:49:09 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.56      +2 -1      ports/audio/musicpd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 dfilter freebsd_committer 2010-10-01 22:49:50 UTC
makc        2010-10-01 21:49:43 UTC

  FreeBSD ports repository

  Modified files:
    audio/moc            Makefile 
    multimedia/quodlibet Makefile 
  Log:
  Switch to audio/musepack from deprecated audio/libmpcdec
  
  PR:             ports/150510
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.org>
  Approved by:    maintainer timeout (> 2 weeks)
  
  Revision  Changes    Path
  1.30      +2 -2      ports/audio/moc/Makefile
  1.35      +2 -2      ports/multimedia/quodlibet/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Max Brazhnikov freebsd_committer 2010-10-01 22:58:59 UTC
State Changed
From-To: feedback->closed

Everything committed finally. Thanks!
Comment 23 ganael.laplanche 2010-10-04 09:06:54 UTC
On Fri, 1 Oct 2010 21:58:59 GMT, makc wrote

> Everything committed finally. Thanks!

Seems like I've forgotten to patch mencoder, see :

http://lists.freebsd.org/pipermail/freebsd-ports/2010-October/063928.html

Here is a patch to fix mencoder port.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 24 Ganael LAPLANCHE freebsd_committer 2010-10-04 15:50:41 UTC
State Changed
From-To: closed->open

I'll handle the remaining patch
Comment 25 Ganael LAPLANCHE freebsd_committer 2010-10-04 15:51:21 UTC
Responsible Changed
From-To: makc->martymac

I'll handle the remaining patch
Comment 26 Ganael LAPLANCHE freebsd_committer 2010-10-04 16:02:38 UTC
Dear maintainer of multimedia/mencoder,

It seems like I've forgotten to patch mencoder regarding libmpcdec
removal, see :

http://lists.freebsd.org/pipermail/freebsd-ports/2010-October/063928.html

Find attached to this e-mail a patch to fix mencoder port and remove
libmpcdec support.

Could you take a look at it and approve or disapprove it, please ?

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 27 thomas.e.zander 2010-10-04 19:59:09 UTC
Hi,

On Mon, Oct 4, 2010 at 17:02, Ganael LAPLANCHE <martymac@freebsd.org> wrote:

> It seems like I've forgotten to patch mencoder regarding libmpcdec
> removal, see :
> http://lists.freebsd.org/pipermail/freebsd-ports/2010-October/063928.html
> Find attached to this e-mail a patch to fix mencoder port and remove
> libmpcdec support.

Well, I seem to be unable to see a patch attached to this message in
the link, but you are correct in that mencoder should get its MPCDEC
option removed as well. It's not spectacularly urgent since mencoder
uses mplayer's Makefiles so it does not introduce a faulty dependence.
It should be sufficient to just remove MPCDEC from mencoder's options.
Please go ahead, I am fine with this change.

Cheers,
Riggs
Comment 28 Ganael LAPLANCHE freebsd_committer 2010-10-04 20:45:41 UTC
On Mon, 4 Oct 2010 20:59:09 +0200, Thomas Zander wrote

Hi Thomas,

Thanks for your answer !

> Well, I seem to be unable to see a patch attached to this 
> message in the link,

The patch was not in the link, but attached to my previous e-mail :p

> It should be sufficient to just remove MPCDEC from mencoder's options. 
> Please go ahead, I am fine with this change.

I have noticed you agree with this change, thank you very much !

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 29 dfilter freebsd_committer 2010-10-05 06:57:33 UTC
martymac    2010-10-05 05:57:28 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/mencoder  Makefile 
  Log:
  Remove support for deprecated libmpcdec
  
  PR:             150510
  Approved by:    Thomas Zander <thomas.e.zander@googlemail.com> (maintainer),
                  ehaupt (mentor)
  
  Revision  Changes    Path
  1.19      +3 -3      ports/multimedia/mencoder/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 30 Ganael LAPLANCHE freebsd_committer 2010-10-05 06:58:44 UTC
State Changed
From-To: open->closed

Committed, thanks!